nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::IActiveSettingChangedResponse Class Referenceabstract

`#include <i_active_setting_changed_response.h>`

Inheritance diagram for nx::sdk::IActiveSettingChangedResponse:

## Public Member Functions
Ptr< const IActionResponse > | actionResponse () const
Ptr< const ISettingsResponse > | settingsResponse () const
Public Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedResponse >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual const IActionResponse * | getActionResponse () const =0
virtual const ISettingsResponse * | getSettingsResponse () const =0
Protected Member Functions inherited from nx::sdk::Interface< IActiveSettingChangedResponse >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Data returned from the plugin when the user changes some setting in the dialog.

## Member Function Documentation

## ◆ actionResponse()

Ptr<const IActionResponse> nx::sdk::IActiveSettingChangedResponse::actionResponse | ( |  | ) | const
| inline

Returns
  Data for interacting with the user, or null if such interaction is not needed.

## ◆ getActionResponse()

virtual const IActionResponse* nx::sdk::IActiveSettingChangedResponse::getActionResponse | ( |  | ) | const
| protectedpure virtual

Called by actionResponse()

Implemented in nx::sdk::ActiveSettingChangedResponse.

## ◆ getSettingsResponse()

virtual const ISettingsResponse* nx::sdk::IActiveSettingChangedResponse::getSettingsResponse | ( |  | ) | const
| protectedpure virtual

Called by settingsResponse()

Implemented in nx::sdk::ActiveSettingChangedResponse.

## ◆ settingsResponse()

Ptr<const ISettingsResponse> nx::sdk::IActiveSettingChangedResponse::settingsResponse | ( |  | ) | const
| inline

A combination of optional individual setting errors, optional new setting values in case they were adjusted, and an optional new Settings Model. Can be null if none of the above items are present.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_active_setting_changed_response.h